Flex Mobile Development

Hi,

after the annuncement from adobe yesterday about CS5.5 and the flex mobile development tools in flashbuilder 4.5, I was wondering what current capabilities Idea X has, and what capabilities are coming in the near future for developing mobile flex apps in it?

Are there any tutorials anywhere for running/debugging and packaging Mobile Flex apps in Intellij?


Conrad Winchester

9 comments
Comment actions Permalink

Latest IDEA 10.5 EAP contains initial support for Flex mobile  development. Currently it supports running/debugging AIR 2.6  applications on Android devices. iOS support is in progress. I'll publish a blog post as soon as AIR mobile support becomes more solid.

0
Comment actions Permalink

Cool - but how dow I set this up - am running EAP 106.447

0
Comment actions Permalink

1. Unpack AIR SDK 2.6 on top of Flex SDK 4.5.0.17689
2. Add it as "AIR Mobile SDK" at File | Project Structure | SDKs
3. Set it for your Flex module
4. Create AIR Mobile run configuration at Run | Edit Configurations

To run/debug on device some preparations may be needed:
http://help.adobe.com/en_US/flex/preview_release/mobileapps/WSa8161994b114d624-33657d5912b7ab2d73b-7fdf.html
http://help.adobe.com/en_US/flex/preview_release/mobileapps/WSa8161994b114d624-33657d5912b7ab2d73b-7fe5.html

0
Comment actions Permalink

Unforunately these instructions seem to cause some confusion - The IDE seems to get confused about flash player 10.2 (which is the correct player) being needed but 4.5.0.17689 doesn't include player 10.2 only 10.1

Any help would be appreciated.

0
Comment actions Permalink

IDEA allows to set only those player versions that have respective playerglobal.swc file in <Flex SDK>/frameworks/libs/player/. Flex SDK 4.5.0.17689 has only 10.1. But in case of AIR and AIR Mobile development playerglobal.swc file is not used. airglobal.swc is used instead and SDK contains only one version of this file. I guess you don't need to change target player version for AIR development. Actually AIR/AIR mobile applications do not run inside any Flash Player, they are ran by AIR runtime.

0
Comment actions Permalink

As far as I see Flex SDK 4.5.0.17689 is the only version that contains AIR mobile components. Latest Hero nightly builds do not contain them.

0
Comment actions Permalink

Thanks,

got it all working - just need to stick with the old sdk, overwrite with air 2.6 and add it as a 'Mobile AIR SDK' - very cool thanks

Do you know where the fiber libraries are though ?

import com.adobe.fiber.core.model_internal;
import com.adobe.fiber.services.wrapper.HTTPServiceWrapper;



I think they come with flash builder (which I also have a license for)

Conrad
0
Comment actions Permalink

Thanks Alexander,

got app deploying to phone - fantastic work - and pretty quick.

For other people that read this - In order to get the adobe TwitterTrends examples working in Intellij you do need Flashbuilder as well and need to link to the following required swc's that are found inside flash builder

Adobe\ Flash\ Builder\ Burrito/eclipse/plugins/com.adobe.flexbuilder.dcrad_4.5.0.287807/dcradSwcs/4.0/libs/serializers.swc

Adobe\ Flash\ Builder\ Burrito/eclipse/plugins/com.adobe.flexbuilder.dcrad_4.5.0.287807/dcradSwcs/4.0/locale/serializers_rb.swc

Adobe\ Flash\ Builder\ Burrito/eclipse/plugins/com.adobe.flexbuilder.dcrad_4.5.0.287807/fiberSwcs/4.0/libs/fiber.swc

Adobe\ Flash\ Builder\ Burrito/eclipse/plugins/com.adobe.flexbuilder.dcrad_4.5.0.287807/fiberSwcs/4.0/libs/fiber_rb.swc

After doing that it all worked beautifully

Well done again the intellij team

0
Comment actions Permalink

File search has found respective swc in Adobe Flash Builder Burrito/eclipse/plugins/com.adobe.flexbuilder.dcrad_4.5.0.287807/fiberSwcs/4.0/libs

0

Please sign in to leave a comment.